import React from "react";
import { Column, Row } from "../../assets/master.js";
import { Story, Meta } from "@storybook/react";
import {Container} from "./Container";
import { ContainerProps } from "./types";

export default {
  title: "Marbella/Containers",
  component: Container,
  argTypes: {},
} as Meta<typeof Container>;

const Template: Story<ContainerProps> = (args) => (
  <Container {...args}>
    <h1>Container</h1>
    <Row>
      <Column>
        <h2>Column 1</h2>
      </Column>
      <Column>
        <h2>Column 2</h2>
      </Column>
    </Row>
  </Container>
);

export const Primary = Template.bind({});
Primary.args = {};
